<?php
#Application name: Project Management
#Status page: 2
#Path by root: ../includes/settings.php

# installation type
$installationType = "online"; //select "offline" or "online"

# select database application
$databaseType = "mysql"; //select "sqlserver", "postgresql" or "mysql"

# database parameters
define('MYSERVER','localhost');
define('MYLOGIN','root');
define('MYPASSWORD','secret');
define('MYDATABASE','pm');

# notification method
$notificationMethod = "mail"; //select "mail" or "smtp"

# smtp parameters (only if $notificationMethod == "smtp")
define('SMTPSERVER','');
define('SMTPLOGIN','');
define('SMTPPASSWORD','');

# create folder method
$mkdirMethod = "PHP"; //select "FTP" or "PHP"

# ftp parameters (only if $mkdirMethod == "FTP")
define('FTPSERVER','');
define('FTPLOGIN','');
define('FTPPASSWORD','');

# Project Management root according to ftp account (only if $mkdirMethod == "FTP")
$ftpRoot = ""; //no slash at the end

# Invoicing module
$enableInvoicing = "true";

# theme choice
define('THEME','default');

# newsdesk limiter
$newsdesklimit = 1; 

# if 1 the admin logs in his homepage
$adminathome = 0;

# session.trans_sid forced
$trans_sid = "true";

# timezone GMT management
$gmtTimezone = "true";

# language choice
$langDefault = "";

# Mantis bug tracking parameters
// Should bug tracking be enabled?
$enableMantis = "true";

// Mantis installation directory
$pathMantis = "http://localhost/mantis/";  // add slash at the end

# CVS parameters
// Should CVS be enabled?
$enable_cvs = "false";

// Should browsing CVS be limited to project members?
$cvs_protected = "false";

// Define where CVS repositories should be stored
$cvs_root = "D:\cvs"; //no slash at the end

// Who is the owner CVS files?
// Note that this should be user that runs the web server.
// Most *nix systems use "httpd" or "nobody"
$cvs_owner = "httpd";

// CVS related commands
$cvs_co = "/usr/bin/co";
$cvs_rlog = "/usr/bin/rlog";
$cvs_cmd = "/usr/bin/cvs";

# https related parameters
$pathToOpenssl = "/usr/bin/openssl";

# login method, set to "CRYPT" in order CVS authentication to work (if CVS support is enabled)
$loginMethod = "CRYPT"; //select "MD5", "CRYPT", or "PLAIN"

# enable LDAP
$useLDAP = "false";
$configLDAP[ldapserver] = "your.ldap.server.address";
$configLDAP[searchroot] = "ou=People, ou=Intranet, dc=YourCompany, dc=com";

# htaccess parameters
$htaccessAuth = "false";
$fullPath = "/usr/local/apache/htdocs/project_management/files"; //no slash at the end

# file management parameters
$fileManagement = "true";
$maxFileSize = 51200; //bytes limit for upload
$root = "http://localhost/project_managment"; //no slash at the end

# security issue to disallow php files upload
$allowPhp = "false";

# project site creation
$sitePublish = "true";

# enable update checker
$updateChecker = "false";

# e-mail notifications
$notifications = "true";

# show peer review area
$peerReview = "true";

# show items for home
$showHomeBookmarks = true;
$showHomeProjects = true;
$showHomeTasks = true;
$showHomeDiscussions = true;
$showHomeReports = true;
$showHomeNotes = true;
$showHomeNewsdesk = true;

# security issue to disallow auto-login from external link
$forcedLogin = "false";

# table prefix
$tablePrefix = "pm_";

# database tables
$tableCollab["assignments"] = "pm_assignments";
$tableCollab["calendar"] = "pm_calendar";
$tableCollab["files"] = "pm_files";
$tableCollab["logs"] = "pm_logs";
$tableCollab["members"] = "pm_members";
$tableCollab["notes"] = "pm_notes";
$tableCollab["notifications"] = "pm_notifications";
$tableCollab["organizations"] = "pm_organizations";
$tableCollab["posts"] = "pm_posts";
$tableCollab["projects"] = "pm_projects";
$tableCollab["reports"] = "pm_reports";
$tableCollab["sorting"] = "pm_sorting";
$tableCollab["tasks"] = "pm_tasks";
$tableCollab["teams"] = "pm_teams";
$tableCollab["topics"] = "pm_topics";
$tableCollab["phases"] = "pm_phases";
$tableCollab["support_requests"] = "pm_support_requests";
$tableCollab["support_posts"] = "pm_support_posts";
$tableCollab["subtasks"] = "pm_subtasks";
$tableCollab["updates"] = "pm_updates";
$tableCollab["bookmarks"] = "pm_bookmarks";
$tableCollab["bookmarks_categories"] = "pm_bookmarks_categories";
$tableCollab["invoices"] = "pm_invoices";
$tableCollab["invoices_items"] = "pm_invoices_items";
$tableCollab["services"] = "pm_services";
$tableCollab["newsdeskcomments"] = "pm_newsdeskcomments";
$tableCollab["newsdeskposts"] = "pm_newsdeskposts";

# PhpCollab version
$version = "2.5";
$versionOld = "2.5";

# demo mode parameters
$demoMode = "false";
$urlContact = "http://www.intelektibg.com";

# Gantt graphs
$activeJpgraph = "true";

# developement options in footer
$footerDev = "true";

# filter to see only logged user clients (in team / owner)
$clientsFilter = "false";

# filter to see only logged user projects (in team / owner)
$projectsFilter = "false";

# Enable help center support requests, values "true" or "false"
$enableHelpSupport = "true";

# Return email address given for clients to respond too.
$supportEmail = "email@yourdomain.com";

# Support Type, either team or admin. If team is selected a notification will be sent to everyone in the team when a new request is added
$supportType = "team";

# enable the redirection to the last visited page, EXPERIMENTAL DO NOT USE IT
$lastvisitedpage = false;

# html header parameters
$setDoctype = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">";
$setTitle = "Project Management";
$setDescription = "Groupware module. Manage web projects with team collaboration, users management, tasks and projects tracking, files approval tracking, project sites clients access, customer relationship management (Php / Mysql, PostgreSQL or Sql Server).";
$setKeywords = "Project Management, Daniel Denev, Sourceforge, management, web, projects, tasks, organizations, reports, Php, MySql, Sql Server, mssql, Microsoft Sql Server, PostgreSQL, module, application, module, file management, project site, team collaboration, free, crm, CRM, cutomer relationship management, workflow, workgroup";
?>